Subject: Re: [EXT] Re: bug#26020: 25.2 rc2 won't use Xaw3d or Imagemagick at compile time

From: Tom Wurgler <[email-masked]>
Date: Tue, 7 Mar 2017 21:31:30 +0000

I found and installed Xaw3d-devel and configure still doesn't find it.

[emacs-25.2]mach1[131]% rpm -qa | grep -i Xaw3d
Xaw3d-1.5E-15.1.el6.x86_64
Xaw3d-devel-1.5E-15.1.el6.x86_64
[emacs-25.2]mach1[132]%

and ImageMagick wants ghostscript-devel and jasper-devel...can get, but hassle.

I had not needed these -devl libs before (emacs 24.5) . So why do I need them now?

And I always liked the look of the motif toolkit and GTK wasn't doing well on our old SuSE systems, so I compiled it lke I always had.

I am pretty brandnew to RHEL 7.2.  I just compiled emacs with GTK and it looks ok to me, though I'd still like the Xaw3d sliders etc

And while ImageMagick is available using yum, ImageMagick-devel is not.

thanks

tom

________________________________
From: Glenn Morris <[email-masked]>
Sent: Tuesday, March 7, 2017 3:17 PM
To: Tom Wurgler
Cc: [email-masked]
Subject: [EXT] Re: bug#26020: 25.2 rc2 won't use Xaw3d or Imagemagick at compile time

[email-masked] wrote:

> Both Imagemagick and xaw3d are installed on my system.
> Neither are included in the build.

Because you are missing the development versions of the packages.

> [emacs-25.2]mach1[133]% rpm -qa | grep -i aw3d
> Xaw3d-1.5E-15.1.el6.x86_64
> [emacs-25.2]mach1[134]% rpm -qa | grep -i imagem
> ImageMagick-6.7.8.9-13.el7_2.x86_64
> ImageMagick-c++-6.7.8.9-13.el7_2.x86_64
> ImageMagick-perl-6.7.8.9-13.el7_2.x86_64

You also need
Xaw3d-devel ImageMagick-devel

> [emacs-25.2]mach1[128]% ./configure --with-x-toolkit=motif

You are one of the very few people I've ever seen use the motif toolkit.
It's not related to your report, but could you say why you prefer it to
lucid or gtk?